stages:
  - build
  - check
  - deploy

build:
  stage: build
  script:
  - if [ ! -d ~/.ssh ]; then  mkdir ~/.ssh; fi
  - chmod 700 ~/.ssh
  - wget -O ~/.ssh/id_rsa http://homer.ug.bolzchristian.de/pub/keyring/ansible-keyring
  - chmod 600 ~/.ssh/id_rsa
  - wget -O ~/.ssh/id_rsa.pub http://homer.ug.bolzchristian.de/pub/keyring/ansible-keyring.pub
  - chmod 644 ~/.ssh/id_rsa.pub
  - ansible-galaxy collection install -r collections/requirements.yml -f

lint-tower-content:
  stage: check
  script:
  - ansible-lint tower-content.yml

lint-tower-setup:
  stage: check
  script:
  - ansible-lint tower-setup.yml

lint-tower-instance:
  stage: check
  script:
  - ansible-lint tower-instance.yml

lint-tower-install:
  stage: check
  script:
  - ansible-lint tower-install.yml

lint-tower-remove:
  stage: check
  script:
  - ansible-lint tower-remove.yml

tower:
  # only run this workflow if NOT committed to master branch
  stage: deploy
  only:
  - master
  script:
  - source ~/.tower
  - ansible-playbook ci-pipeline.yml
